Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGQBUT5.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGQBUT5.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGQBUT5.m	(revision 636)
@@ -1,5 +1,4 @@
 MAGQBUT5 ;WOIFO/RMP - BP Utilities  ;Oct 21, 2005 1:23 PM
- ;;3.0;IMAGING;**20,81**;May 17, 2007
- ;;  Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;**20**;Apr 12, 2006
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -9,4 +8,5 @@
  ;; | Development Office of the Department of Veterans Affairs,     |
  ;; | telephone (301) 734-0100.                                     |
+ ;; |                                                               |
  ;; | The Food and Drug Administration classifies this software as  |
  ;; | a medical device.  As such, it may not be changed             |
@@ -66,21 +66,3 @@
  D MAILSHR^MAGQBUT1
  Q
-RMRPC(NAME) ; Removing an RPC in order to revise
- N MW,RPC,MWE,DIERR
- S MW=$$FIND1^DIC(19,"","X","MAG WINDOWS","","","")
- D CLEAN^DILF
- Q:'MW
- S RPC=$$FIND1^DIC(8994,"","X",NAME,"","","")
- D CLEAN^DILF
- Q:'RPC
- S MWE=$$FIND1^DIC(19.05,","_MW_",","X",NAME,"","","")
- D CLEAN^DILF
- Q:'MWE
- S DA=MWE,DA(1)=MW,DIK="^DIC(19,"_DA(1)_",""RPC"","
- D ^DIK
- K DA,DIK
- S DA=RPC,DIK="^XWB(8994,"
- D ^DIK
- K DA,DIK
- Q
  ;
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGSIXG1.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGSIXG1.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGSIXG1.m	(revision 636)
@@ -1,5 +1,4 @@
 MAGSIXG1 ;WOIFO/EdM/GEK/SEB - RPCs for Document Imaging ; 04/29/2002  16:15
- ;;3.0;IMAGING;**8,48,59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;**8,48**;Jan 11, 2005
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -19,26 +18,13 @@
  Q
  ;
- ; OUT  =  Output array.  
- ;   OUT(0)        ->  1|0 ^ message
- ;   OUT(1)        ->  Field Headers 
- ;       '^' delimited list of column headers used in cMagListView
- ;   OUT(2..n) ->  each line is information on 1 image.
- ;       piece '|' 1 is '^' delimited data to be displayed in columns.
- ;       piece '|' 2  is data that is used internally by App.
- ;       
- ; PKG   - Package fld 40
- ; CLS   - Class   fld 41
- ; TYPE  - Type    fld 42
- ; EVENT - Proc/Event         fld 43
- ; SPEC  - Spec/SubSpecialty  fld 44
- ; FROM  - Date to search from
- ; UNTIL - Date to search to
- ; ORIGIN - Origin fld 45
- ; DATA  -  Future
- ; FLGS  -  Future  
- ; 
-PGI(OUT,DFN,PKG,CLS,TYPE,EVENT,SPEC,FROM,UNTIL,ORIGIN,DATA,FLGS) ;RPC [MAG4 PAT GET IMAGES]
+ ; OUT ;--- Output array
+ ; CLS ;--- Class
+ ; TYPE ;-- Type (of what?)
+ ; SPEC ;-- Specialty or SubSpecialty
+ ; EVENT ;- Event or Procedure or Action
+PGI(OUT,DFN,PKG,CLS,TYPE,EVENT,SPEC,FROM,UNTIL,ORIGIN) ;RPC [MAG4 PAT GET IMAGES]
  ; Get Images for Patient.  
  ; New call in Patch 3.0.8 uses Image Filter to get list of images
+ ; 
  N C,DAT1,DAT2,E,IMAGE,N,OK,P,RDT,RESULT,S,T,V,CT,PKG1,CLS1,TYPE1,EVENT1,SPEC1,FLTX,FLTY,CAPDUZ,CAPDT,MAGVR,FNL
  S FROM=$G(FROM),UNTIL=$G(UNTIL)
@@ -56,79 +42,64 @@
  S N=0
  D NETPLCS^MAGGTU6
+ ;S RDT="" F  S RDT=$O(^MAG(2005,"APDTPX",DFN,RDT)) Q:RDT=""  D
  ;3.0.8/gek, Quit searching all images, just do the date range.
  S RDT=DAT1 F  S RDT=$O(^MAG(2005,"APDTPX",DFN,RDT)) Q:(RDT="")!(RDT>DAT2)  D
- . K ^TMP($J,"MAGSIX")
  . N COUNT,PRX,X0,X2,X40,I1,X01
- . S PRX="" F  S PRX=$O(^MAG(2005,"APDTPX",DFN,RDT,PRX)) Q:PRX=""  M ^TMP($J,"MAGSIX")=^MAG(2005,"APDTPX",DFN,RDT,PRX)
- . S IMAGE="" F  S IMAGE=$O(^TMP($J,"MAGSIX",IMAGE),-1) Q:IMAGE=""  D
- . . S X0=$G(^MAG(2005,IMAGE,0))
- . . Q:$P(X0,"^",10)  ; child of Group
- . . S X2=$G(^MAG(2005,IMAGE,2)),X40=$G(^MAG(2005,IMAGE,40)),I1=$O(^MAG(2005,IMAGE,1,0))
- . . S P=$P(X40,U),C=$P(X40,"^",2),T=$P(X40,"^",3),E=$P(X40,"^",4),S=$P(X40,"^",5)
- . . ;Patch 59.  Treat Class as a computed Field.  Arrange with Mike to change DB.
- . . S C=$S('T:"",'$D(^MAG(2005.83,T,0)):"",1:$P(^(0),"^",2))
- . . S V=$S($P(X40,"^",6)="":"V",1:$P(X40,"^",6)) ; P48T1 show VA for Null
- . . D CHK^DIE(2005,45,"E",V,.MAGVR) I MAGVR'="^" S V=MAGVR(0) ; P48T1 show External Value
- . . I PKG'="",P'="",'$D(OK(5,P)) Q
- . . I ORIGIN'="",V'="",'$D(OK(6,V)) Q
- . . I CLS'="",C'="",'$D(OK(1,C)) Q
- . . I EVENT'="",E,'$D(OK(2,E)) Q
- . . ;3.0.8 Stop list entries with no Event, if Event is in Search Specs
- . . I EVENT'="",E="" Q
- . . I SPEC'="",S,'$D(OK(3,S)) Q
- . . ;3.0.8 Stop list entries with no Spec, if Spec is in Search Specs
- . . I SPEC'="",S="" Q
- . . I TYPE'="",T,'$D(OK(4,T)) Q
- . . ; Get Count of Images in Group, use 4th piece of ,1,0) multiple
- . . S COUNT=$S($P($G(^MAG(2005,IMAGE,1,0)),"^",4):$P($G(^MAG(2005,IMAGE,1,0)),"^",4),1:1)
- . . S FLTX=""
- . . ; PUT in Site Code as 2nd piece.
- . . S X01=$S(I1:$G(^MAG(2005,+$G(^MAG(2005,IMAGE,1,I1,0)),0)),1:X0)
- . . S FNL=$S(+$P(X01,"^",3):$P(X01,"^",3),1:+$P(X01,"^",5))
- . . S FLTX=$P($G(MAGJOB("NETPLC",FNL)),"^",2)
- . . I FLTX="" S FLTX=$G(MAGJOB("PLCODE"))
- . . S FLTX=FLTX_"^"_$$RPTITLE($P(X2,"^",6),$P(X2,"^",7))
- . . S X=$$FMTE^XLFDT($P(X2,"^",5),"5Z")
- . . S X=$P(X,"@",1)_" "_$S($L($P(X,"@",2)):$P(X,"@",2),1:"00:01")
- . . S FLTX=FLTX_"^"_X
- . . S FLTX=FLTX_"^"_$P(X0,"^",8)_"^"_COUNT_"^"_$P(X2,"^",4)
- . . S FLTX=FLTX_"^"_P
- . . S FLTX=FLTX_"^"_$P($G(^MAG(2005.82,+C,0)),"^",1)
- . . S FLTX=FLTX_"^"_$P($G(^MAG(2005.83,+T,0)),"^",1)
- . . S FLTX=FLTX_"^"_$P($G(^MAG(2005.84,+S,0)),"^",1)
- . . S FLTX=FLTX_"^"_$P($G(^MAG(2005.85,+E,0)),"^",1)
- . . S FLTX=FLTX_"^"_V
- . . ;S FLTX=FLTX_"^"_$P($$FMTE^XLFDT($P(X2,"^",1),"5Z"),"@",1)
- . . S X=$$FMTE^XLFDT($P(X2,"^",1),"5Z")
- . . S X=$P(X,"@",1)_" "_$S($L($P(X,"@",2)):$P(X,"@",2),1:"00:01")
- . . S FLTX=FLTX_"^"_X
- . . ;;;;;;;;;
- . . ; P8T36 gek. Fix Error caused if $P(X2,"^",2) "ImageSavedBy" is null
- . . S FLTX=FLTX_"^"_$$GET1^DIQ(200,+$P(X2,"^",2)_",",.01)
- . . N MAGFILE,MAGXX
- . . S MAGXX=IMAGE D INFO^MAGGTII
- . . S FLTX=FLTX_"^"_$P(MAGFILE,"^",1)
- . . S N=N+1,@RESULT@(N+1)=N_"^"_FLTX_"|"_MAGFILE
- . . Q:N<76  Q:RESULT["^"
- . . ; Image count is getting big, switch from array to Global return type
- . . S ^TMP($T(+0),$J)=""
- . . M ^TMP($T(+0),$J)=OUT
- . . K OUT
- . . S X=$$RTRNFMT^XWBLIB("GLOBAL ARRAY",1)
- . . S RESULT=$NA(^TMP($T(+0),$J))
- . . S OUT=$NA(^TMP($T(+0),$J)) ;GEK 10/01/02
+ . S PRX="" F  S PRX=$O(^MAG(2005,"APDTPX",DFN,RDT,PRX)) Q:PRX=""  D
+ . . S IMAGE="" F  S IMAGE=$O(^MAG(2005,"APDTPX",DFN,RDT,PRX,IMAGE)) Q:IMAGE=""  D
+ . . . S X0=$G(^MAG(2005,IMAGE,0))
+ . . . Q:$P(X0,"^",10)  ; child of Group
+ . . . S X2=$G(^MAG(2005,IMAGE,2)),X40=$G(^MAG(2005,IMAGE,40)),I1=$O(^MAG(2005,IMAGE,1,0))
+ . . . S P=$P(X40,U),C=$P(X40,"^",2),T=$P(X40,"^",3),E=$P(X40,"^",4),S=$P(X40,"^",5)
+ . . . S V=$S($P(X40,"^",6)="":"V",1:$P(X40,"^",6)) ; P48T1 show VA for Null
+ . . . D CHK^DIE(2005,45,"E",V,.MAGVR) S V=MAGVR(0) ; P48T1 show External Value
+ . . . I PKG'="",P'="",'$D(OK(5,P)) Q
+ . . . I ORIGIN'="",V'="",'$D(OK(6,V)) Q
+ . . . I CLS'="",C'="",'$D(OK(1,C)) Q
+ . . . I EVENT'="",E,'$D(OK(2,E)) Q
+ . . . ;3.0.8 Stop list entries with no Event, if Event is in Search Specs
+ . . . I EVENT'="",E="" Q
+ . . . I SPEC'="",S,'$D(OK(3,S)) Q
+ . . . ;3.0.8 Stop list entries with no Spec, if Spec is in Search Specs
+ . . . I SPEC'="",S="" Q
+ . . . I TYPE'="",T,'$D(OK(4,T)) Q
+ . . . ; Get Count of Images in Group, use 4th piece of ,1,0) multiple
+ . . . S COUNT=$S($P($G(^MAG(2005,IMAGE,1,0)),"^",4):$P($G(^MAG(2005,IMAGE,1,0)),"^",4),1:1)
+ . . . S FLTX=""
+ . . . ; PUT in Site Code as 2nd piece.
+ . . . S X01=$S(I1:$G(^MAG(2005,+$G(^MAG(2005,IMAGE,1,I1,0)),0)),1:X0)
+ . . . S FNL=$S(+$P(X01,"^",3):$P(X01,"^",3),1:+$P(X01,"^",5))
+ . . . S FLTX=$P($G(MAGJOB("NETPLC",FNL)),"^",2)
+ . . . S FLTX=FLTX_"^"_$P($$FMTE^XLFDT($P(X2,"^",5),"5Z"),"@",1)
+ . . . S FLTX=FLTX_"^"_$P(X0,"^",8)_"^"_COUNT_"^"_$P(X2,"^",4)
+ . . . S FLTX=FLTX_"^"_P
+ . . . S FLTX=FLTX_"^"_$P($G(^MAG(2005.82,+C,0)),"^",1)
+ . . . S FLTX=FLTX_"^"_$P($G(^MAG(2005.83,+T,0)),"^",1)
+ . . . S FLTX=FLTX_"^"_$P($G(^MAG(2005.84,+S,0)),"^",1)
+ . . . S FLTX=FLTX_"^"_$P($G(^MAG(2005.85,+E,0)),"^",1)
+ . . . S FLTX=FLTX_"^"_V
+ . . . S FLTX=FLTX_"^"_$P($$FMTE^XLFDT($P(X2,"^",1),"5Z"),"@",1)
+ . . . ; P8T36 gek. Fix Error caused if $P(X2,"^",2) "ImageSavedBy" is null
+ . . . S FLTX=FLTX_"^"_$$GET1^DIQ(200,+$P(X2,"^",2)_",",.01)
+ . . . N MAGFILE,MAGXX
+ . . . S MAGXX=IMAGE D INFO^MAGGTII
+ . . . S FLTX=FLTX_"^"_$P(MAGFILE,"^",1)
+ . . . S N=N+1,@RESULT@(N+1)=N_"^"_FLTX_"|"_MAGFILE
+ . . . Q:N<101  Q:RESULT["^"
+ . . . ; Image count is getting big, switch from array to Global return type
+ . . . S ^TMP($T(+0),$J)=""
+ . . . M ^TMP($T(+0),$J)=OUT
+ . . . K OUT
+ . . . S X=$$RTRNFMT^XWBLIB("GLOBAL ARRAY",1)
+ . . . S RESULT=$NA(^TMP($T(+0),$J))
+ . . . S OUT=$NA(^TMP($T(+0),$J)) ;GEK 10/01/02
+ . . . Q
  . . Q
- . ;Q
  . Q
  S FLTY=$$FLTDESC(X)
  I 'N S @RESULT@(0)="0^No images for filter: "_FLTY  Q
  S @RESULT@(0)="1^"_FLTY
- S @RESULT@(1)="Item~S2^Site^Note Title~~W0^Proc DT~S1^Procedure^# Img~S2^Short Desc^Pkg^Class^Type^Specialty^Event^Origin^Cap Dt~S1~W0^Cap by~~W0^Image ID~S2~W0"
- ;S @RESULT@(1)="Item~S2^Site^Proc DT~S1^Procedure^# Img~S2^Short Desc^Pkg^Class^Type^Specialty^Event^Origin^Cap Dt~S1~W0^Cap by~~W0^Image ID~S2~W0"
+ S @RESULT@(1)="Item~S2^Site^Proc DT~S1^Procedure^# Img~S2^Short Desc^Pkg^Class^Type^Specialty^Event^Origin^Cap Dt~S1~W0^Cap by~~W0^Image ID~S2~W0"
  Q
-RPTITLE(FILE,IEN) ; 
- I FILE=8925,$D(^TIU(8925,IEN,0)) Q $P(^TIU(8925.1,$P(^TIU(8925,IEN,0),"^",1),0),"^",1)
- ;I FILE=8925,$D(^TIU(8925,IEN,0)) Q $$GET1^DIQ(FILE,IEN,".01:.01")
- E  Q "   "
 FLTDESC(X) ;
  N FLT
@@ -153,5 +124,5 @@
  . S $P(EVENT,",",CT)=$E(EVENT1)_$$LOW^XLFSTR($E(EVENT1,2,999))
  S FLT=FLT_$S(EVENT="":"",1:"Event: "_EVENT_" - ")
- ; Origin
+ ; Orgin
  S FLT=FLT_$S(ORIGIN="":"",1:"Origin: "_ORIGIN_" - ")
  ; Date Range - From
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGSIXGT.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGSIXGT.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGSIXGT.m	(revision 636)
@@ -1,5 +1,4 @@
 MAGSIXGT ;WOIFO/EdM/GEK/SEB - RPC for Document Imaging ; 04/29/2002  16:15
- ;;3.0;IMAGING;**8,48,61,59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;**8,48,61**;Feb 07, 2006
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -9,4 +8,5 @@
  ;; | Development Office of the Department of Veterans Affairs,     |
  ;; | telephone (301) 734-0100.                                     |
+ ;; |                                                               |
  ;; | The Food and Drug Administration classifies this software as  |
  ;; | a medical device.  As such, it may not be changed in any way. |
@@ -29,5 +29,5 @@
  N MAGX
  K OUT
- S CLS=$G(CLS),FLGS=$P($G(FLGS),"|")
+ S CLS=$G(CLS),FLGS=$G(FLGS)
  ; Capture app will send CLS as ADMIN,ADMIN/CLIN for admin
  ; or  CLIN,CLIN/ADMIN for clinical 
@@ -69,5 +69,5 @@
  N C,D0,D1,LOC,N,NO,OK,S,X,NODE
  K OUT
- S CLS=$G(CLS),SPEC=$G(SPEC),FLGS=$P($G(FLGS),"|")
+ S CLS=$G(CLS),SPEC=$G(SPEC),FLGS=$G(FLGS)
  S IGN=$P(FLGS,"^",1),INCL=$P(FLGS,"^",2),INST=$P(FLGS,"^",3)
  D CLS Q:$D(OUT(0))
@@ -116,5 +116,5 @@
  N C,D0,D1,E,LOC,N,OK,X
  K OUT
- S CLS=$G(CLS),EVENT=$G(EVENT),FLGS=$P($G(FLGS),"|")
+ S CLS=$G(CLS),EVENT=$G(EVENT),FLGS=$G(FLGS)
  S IGN=$P(FLGS,"^",1),INCL=$P(FLGS,"^",2),INST=$P(FLGS,"^",3),INSP=$P(FLGS,"^",4)
  I CLS'="" D CLS Q:$D(OUT(0))
Index: FOIAVistA/tag/r/INCOME_VERIFICATION_MATCH-IVM/IVMCM.m
===================================================================
--- FOIAVistA/trunk/r/INCOME_VERIFICATION_MATCH-IVM/IVMCM.m	(revision 631)
+++ FOIAVistA/tag/r/INCOME_VERIFICATION_MATCH-IVM/IVMCM.m	(revision 636)
@@ -1,4 +1,4 @@
 IVMCM ;ALB/SEK,KCL,RTK,AEG,BRM,AEG - PROCESS INCOME TEST (Z10) TRANSMISSIONS ; 04/23/03 1:43pm
- ;;2.0;INCOME VERIFICATION MATCH;**12,17,28,41,44,53,34,49,59,55,63,77,74,123**;21-OCT-94;Build 6
+ ;;2.0;INCOME VERIFICATION MATCH;**12,17,28,41,44,53,34,49,59,55,63,77,74**;21-OCT-94
  ;
  ;
@@ -142,7 +142,5 @@
  .S SOURCE=$P($G(^TMP($J,"IVMCM","ZMT1")),HLFS,22)
  .S IVMLAST=$$LST^DGMTU(DFN,$E(IVMMTDT,1,3)_1231,1)
- .; Check that test is for same year
- .I $P(IVMLAST,U,2),$E($P(IVMLAST,U,2),1,3)'=$E(IVMMTDT,1,3) S IVMLAST=""
- .I $$Z06MT^EASPTRN1(+IVMLAST) D PROB^IVMCMC("IVM Means Test already on file for this year") Q
+ .I $$Z06MT^EASPTRN1(+IVMLAST) Q
  .I '$$ELIG^IVMUFNC5(DFN) S ERRMSG="Means Test upload not appropriate for current patient"
  .I $$AGE^IVMUFNC5(DT)>$$INCY^IVMUFNC5(IVMMTDT) D
Index: FOIAVistA/tag/r/INCOME_VERIFICATION_MATCH-IVM/IVMZ07C.m
===================================================================
--- FOIAVistA/trunk/r/INCOME_VERIFICATION_MATCH-IVM/IVMZ07C.m	(revision 631)
+++ FOIAVistA/tag/r/INCOME_VERIFICATION_MATCH-IVM/IVMZ07C.m	(revision 636)
@@ -1,4 +1,4 @@
-IVMZ07C ;BAJ/PHH - HL7 Z07 CONSISTENCY CHECKER -- DRIVER ROUTINE ; 1/17/2008
- ;;2.0;INCOME VERIFICATION MATCH;**105,128**;JUL 8,1996;Build 2
+IVMZ07C ;BAJ - HL7 Z07 CONSISTENCY CHECKER -- DRIVER ROUTINE ; 9/27/2006
+ ;;2.0;INCOME VERIFICATION MATCH;**105**;JUL 8,1996;Build 2
  ;
  ; 
@@ -100,5 +100,6 @@
  S DTTM=$O(^DGMS(29.11,"APDT",DFN,""),-1)
  I DTTM'="" D
- . S NIEN=$O(^DGMS(29.11,"APDT",DFN,DTTM,""),-1)
+ . S DTTM=$O(^DGMS(29.11,"APDT",DFN,""))
+ . S NIEN=$O(^DGMS(29.11,"APDT",DFN,DTTM,""))
  . I $D(^DGMS(29.11,NIEN,0)) S DGP("MST",0)=^DGMS(29.11,NIEN,0)
  ;
Index: FOIAVistA/tag/r/INCOME_VERIFICATION_MATCH-IVM/IVMZ7CD.m
===================================================================
--- FOIAVistA/trunk/r/INCOME_VERIFICATION_MATCH-IVM/IVMZ7CD.m	(revision 631)
+++ FOIAVistA/tag/r/INCOME_VERIFICATION_MATCH-IVM/IVMZ7CD.m	(revision 636)
@@ -1,4 +1,4 @@
-IVMZ7CD ;CKN,BAJ,ERC - HL7 Z07 CONSISTENCY CHECKER -- DEMOGRAPHIC SUBROUTINE ; 9/27/2006
- ;;2.0;INCOME VERIFICATION MATCH;**105,127**;JUL 8,1996;Build 6
+IVMZ7CD ;CKN,BAJ - HL7 Z07 CONSISTENCY CHECKER -- DEMOGRAPHIC SUBROUTINE ; 9/27/2006
+ ;;2.0;INCOME VERIFICATION MATCH;**105**;JUL 8,1996;Build 2
  ;
  ; Demographic Consistency Checks
@@ -69,5 +69,5 @@
  Q
  ;
-306 ; VALID SSN/PSEUDO SSN REQUIRED, turned off with DG*5.3*771
+306 ; VALID SSN/PSEUDO SSN REQUIRED
  N Z
  S X=$P($G(DGP("PAT",0)),U,9)
@@ -83,5 +83,5 @@
  Q
  ;
-307 ; PSEUDO SSN REASON REQUIRED, turned off with DG*5.3*771
+307 ; PSEUDO SSN REASON REQUIRED
  S X=$P($G(DGP("PAT",0)),U,9)
  I X]"",X["P",$P($G(DGP("PAT","SSN")),U)="" S FILERR(RULE)=""
Index: FOIAVistA/tag/r/INCOME_VERIFICATION_MATCH-IVM/IVMZ7CE.m
===================================================================
--- FOIAVistA/trunk/r/INCOME_VERIFICATION_MATCH-IVM/IVMZ7CE.m	(revision 631)
+++ FOIAVistA/tag/r/INCOME_VERIFICATION_MATCH-IVM/IVMZ7CE.m	(revision 636)
@@ -1,4 +1,4 @@
-IVMZ7CE ;TDM,BAJ,ERC - HL7 Z07 CONSISTENCY CHECKER -- SERVICE SUBROUTINE ; 12/4/07 2:56pm
- ;;2.0;INCOME VERIFICATION MATCH;**105,127**;JUL 8,1996;Build 6
+IVMZ7CE ;TDM,BAJ - HL7 Z07 CONSISTENCY CHECKER -- SERVICE SUBROUTINE ; 01/23/07
+ ;;2.0;INCOME VERIFICATION MATCH;**105**;JUL 8,1996;Build 2
  ;
  ; Eligibility Consistency Checks
@@ -61,5 +61,4 @@
  ;
 409 ; AGREE TO PAY DEDUCT INVALID
- ; this CC inactivated by DG*5.3*771
  ; 2  PENDING ADJUDICATION     MEANS TEST
  ; 6  MT COPAY REQUIRED     MEANS TEST
Index: FOIAVistA/tag/r/INCOME_VERIFICATION_MATCH-IVM/IVMZ7CR.m
===================================================================
--- FOIAVistA/trunk/r/INCOME_VERIFICATION_MATCH-IVM/IVMZ7CR.m	(revision 631)
+++ FOIAVistA/tag/r/INCOME_VERIFICATION_MATCH-IVM/IVMZ7CR.m	(revision 636)
@@ -1,4 +1,4 @@
-IVMZ7CR ;BAJ,ERC - HL7 Z07 CONSISTENCY CHECKER -- REGISTRATION SUBROUTINE ; 12/6/07 8:51am
- ;;2.0;INCOME VERIFICATION MATCH;**105,127**;JUL 8,1996;Build 6
+IVMZ7CR ;BAJ - HL7 Z07 CONSISTENCY CHECKER -- REGISTRATION SUBROUTINE ; 12/7/05 12:24pm
+ ;;2.0;INCOME VERIFICATION MATCH;**105**;JUL 8,1996;Build 2
  ;
  ; Registration Consistency Checks
@@ -15,5 +15,5 @@
  S SPDEP=$D(DGSD("DEP"))
  ; we do not count through all numbers to save routine space
- F RULE=4,7,9,11,13,15,16,19,24,29:1:31,34,60,72,74,75,76,78,81,83,85,86 I $D(^DGIN(38.6,RULE)) D
+ F RULE=4,7,9,11,13,15,16,19,24,29:1:31,34,60,72,74,78,81,83,85,86 I $D(^DGIN(38.6,RULE)) D
  . I $$ON(RULE) D @RULE
  I $D(FILERR) M ^TMP($J,DFN)=FILERR
@@ -100,5 +100,5 @@
  I $P(DGP("PAT",.321),U,2)="Y",$P(DGP("PAT",.321),U,13)="" S FILERR(RULE)=""
  Q
-72 ; MSE DATA MISSING/INCOMPLETE, turned off with DG*5.3*765
+72 ; MSE DATA MISSING/INCOMPLETE
  ; Note: Rule #513 in IVMZ7CS is a duplicate of this rule.
  N I,X
@@ -109,11 +109,12 @@
  Q
  ;
-74 ; CONFLICT DT MISSING/INCOMPLETE, turned off with DG*5.3*765 
- ; Note:#515 IVMZ7CS is a duplicate, turned off with DG*5.3*771
-75 ; ALSO # 75 CONFLICT TO DT BEFORE FROM DT
-76 ;      # 76 INACCURATE CONFLICT DATE, turned off with DG*5.3*771
+74 ; CONFLICT DT MISSING/INCOMPLETE
+ ; Note: Rule #515 in IVMZ7CS is a duplicate of this rule.
+ ; ALSO # 75 CONFLICT TO DT BEFORE FROM DT
+ ;      # 76 INACCURATE CONFLICT DATE
  ; 
- N I,T,FROM,TO,NODE,PCE,PCEFR,PCETO,CONFL,RANGE,RFR,RTO,RNGE,ERR,COM,ON74,ON75,ON76
- S ON74=$$ON(74),ON75=$$ON(75),ON76=$$ON(76)
+ N I,T,FROM,TO,RULE1,RULE2,NODE,PCE,PCEFR,PCETO,CONFL,RANGE,RFR,RTO,RNGE,ERR,COM,ON75,ON76
+ S RULE1=75,RULE2=76
+ S ON75=$$ON(75),ON76=$$ON(76)
  S I=$$RANGE^DGMSCK()    ; load range table
  F I=1:1 S CONFL=$P($T(CONLIST+I),";;",3) Q:CONFL="QUIT"  D
@@ -127,8 +128,8 @@
  . S FROM=$P(DGP("PAT",NODE),U,PCEFR),TO=$P(DGP("PAT",NODE),U,PCETO)
  . ; check rule 74 CONFLICT DT MISSING/INCOMPLETE
- . I ON74,(RULE=74) F T=FROM,TO I '$$YM^IVMZ7CS(T) S FILERR(RULE)="",ERR=1
+ . F T=FROM,TO I '$$YM^IVMZ7CS(T) S FILERR(RULE)="",ERR=1
  . Q:ERR
  . ; check rule 75 CONFLICT TO DT BEFORE CONFLICT FROM DT
- . I ON75,(RULE=75),(FROM>TO) S FILERR(RULE)="",ERR=1
+ . I ON75,FROM>TO S FILERR(RULE1)="",ERR=1
  . Q:ERR
  . ; check rule 76 INACCURATE CONFLICT DATE
@@ -137,8 +138,8 @@
  . ; determine whether dates are withing conflict range
  . S RFR=$P(RANGE(RNGE),U,1),RTO=$P(RANGE(RNGE),U,2)
- . I ON76,(RULE=76) D
- . . I '((RFR'>FROM)&((RTO'<TO))) S FILERR(RULE)=""
- Q
-78 ; INACCURATE COMBAT DT/LOC, turned off with DG*5.3*771
+ . I ON76 D
+ . . I '((RFR'>FROM)&((RTO'<TO))) S FILERR(RULE2)=""
+ Q
+78 ; INACCURATE COMBAT DT/LOC
  N I,T,FROM,TO,RULE,NODE,PCE,PCEFR,PCETO,CONFL,RANGE,RFR,RTO,RNGE,ERR,COM,ON78,LOC
  ; This tag checks COMBAT status and verifies that valid FROM & TO dates are found
@@ -157,5 +158,5 @@
  . I '(RFR'>FROM&((FROM'>RTO)&((RTO'<TO)&((TO'<RFR))))) S FILERR(RULE)=""
  Q
-81 ; COMBAT DT NOT WITHIN MSE, turned off with DG*5.3*765
+81 ; COMBAT DT NOT WITHIN MSE
  ; this code is copied from DGRP3
  ; MSFROMTO^DGMSCK creates a block for a continual MSE
Index: FOIAVistA/tag/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGOEC.m
===================================================================
--- FOIAVistA/trunk/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGOEC.m	(revision 631)
+++ FOIAVistA/tag/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGOEC.m	(revision 636)
@@ -1,4 +1,4 @@
 PSGOEC ;BIR/CML3-CANCEL ORDERS ;02 Mar 99 / 9:29 AM
- ;;5.0; INPATIENT MEDICATIONS ;**23,58,110,175,201**;16 DEC 97;Build 2
+ ;;5.0; INPATIENT MEDICATIONS ;**23,58,110,175**;16 DEC 97;Build 18
  ;
  ; Reference to ^PS(55 is supported by DBIA# 2191.
@@ -96,4 +96,5 @@
  N PROVIDER,PROVNAME,RESULT,RSB S RESULT=0
  S PROVIDER=+$P($G(^PS(55,DFN,5.1)),"^",2),PROVNAME=""
+ I $G(PSJRQPND) S PROVIDER=0
  I PROVIDER>0 D
  .S DIC=200,DR="53.1;53.4",DIQ="RSB",DIQ(0)="I",DA=PROVIDER D EN^DIQ1
Index: FOIAVistA/tag/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGPLR.m
===================================================================
--- FOIAVistA/trunk/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGPLR.m	(revision 631)
+++ FOIAVistA/tag/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGPLR.m	(revision 636)
@@ -1,4 +1,4 @@
-PSGPLR ;BIR/CML3-PRINTS PICK LIST REPORT ; 6/15/07 1:12pm
- ;;5.0; INPATIENT MEDICATIONS ;**10,50,67,119,129,191**;16 DEC 97;Build 9
+PSGPLR ;BIR/CML3-PRINTS PICK LIST REPORT ;04 May 98 / 11:23 AM
+ ;;5.0; INPATIENT MEDICATIONS ;**10,50,67,119,129**;16 DEC 97
  ;
  ; Reference to ^PS(55 is supported by DBIA# 2191.
@@ -31,10 +31,9 @@
  .N OSTOP,DRGND S (DDRG,OLDWARD)="" S DRGND=$O(PSGPLREN("B",PSGP,PSJJORD,0)) Q:'DRGND  S OSTOP=PSGPLREN("B",PSGP,PSJJORD,DRGND) Q:'OSTOP
  .N ST,TMPDRG S CNT=0,ST=$P(ND0,"^",7) S TMPDRG=0 S TMPDRG=$O(PSGPLREN("B",PSGP,PSJJORD,TMPDRG)) S TMPDRG=$P(DRG,"^")_"^"_TMPDRG
- .F PSGPLXRX="AU","AC" Q:CNT  F I=0:1 S DDRG=$O(PSGPLREN(53.5,PSGPLXRX,PSGPLG,TM,WDN,RM,PN,PST,TMPDRG,DDRG)) Q:(DDRG="")!(DDRG="NO DISPENSE DRUG")  D
+ .F PSGPLXRX="AU","AC" Q:CNT  F  S DDRG=$O(PSGPLREN(53.5,PSGPLXRX,PSGPLG,TM,WDN,RM,PN,PST,TMPDRG,DDRG)) Q:(DDRG="")!(DDRG="NO DISPENSE DRUG")  D
  ..S X=$G(PSGPLREN(53.5,PSGPLG,1,PSGP,1,+DRGND,1,$P(DDRG,"^",2),0)) S DR=+X,DND=$P(X,U,2,4) Q:'X
  ..S DRN=$G(^PS(55,PSGP,5,PSJJORD,1,DR,0)),DR=$$ENDDN^PSGMI($P(DRN,"^")) I DND?7N1"DI" S DND=$E($$ENDTC^PSGMI(+DND),1,8)
  ..S DIS=$P(DND,"^",2),NEED=$S($P(DND,"^")]"":$P(DND,"^"),1:0)
- ..;GMZ;PSJ*5*191;Allow for Multiple Dispensed Drug units needed
- ..S PSJRNW(I)=1_"^"_+NEED
+ ..S PSJRNW=1_"^"_+NEED
  ..Q
  .K PSGPLREN("B",PSGP,PSJJORD),PSGPLREN(53.5,PSGPLG,1,PSGP,1,+DRGND) W !!
@@ -47,7 +46,5 @@
  .I ATC S X=0,X=$O(^PS(59.7,X)) I $P($G(^(X,26)),U,2)=1,PST="OC" S ATC=0
  .S UD=$S('UD:1,UD=.5:"1/2",UD=.25:"1/4",UD<1:"0"_UD,1:UD)
- .I $D(PSJRNW) D
- ..I 'CNT W !?35,"**** RENEWAL ****"
- ..S NEED=NEED-$P(PSJRNW(CNT),"^",2) S:NEED<0 NEED=0 S CNT=CNT+1
+ .I $G(PSJRNW),'CNT W !?35,"**** RENEWAL ****" S CNT=CNT+1,NEED=NEED-$P(PSJRNW,"^",2) S:NEED<0 NEED=0
  .W !?6,DR,?48,ST W:(ATC)&(NEED>0) ?57,"ATC" W ?61,$J(UD,4),?68,$J(NEED,4),?75,$S(DIS]"":$J(DIS,4),1:"____")
  .S:ST="DISCONTINUED" OLDWARD=1 S ST=""
Index: FOIAVistA/tag/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGSICHK.m
===================================================================
--- FOIAVistA/trunk/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGSICHK.m	(revision 631)
+++ FOIAVistA/tag/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGSICHK.m	(revision 636)
@@ -1,6 +1,5 @@
 PSGSICHK ;BIR/CML3-CHECKS SPECIAL INSTRUCTIONS ;17 Aug 98 / 8:33 AM
- ;;5.0; INPATIENT MEDICATIONS ;**3,9,26,29,44,49,59,110,139,146,160,175,201,185**;16 DEC 97;Build 6
+ ;;5.0; INPATIENT MEDICATIONS ;**3,9,26,29,44,49,59,110,139,146,160,175**;16 DEC 97;Build 18
  ;
- ; Reference to ^PS(50.605 is supported by DBIA 696.
  ; Reference to EN^PSOORDRG is supported by DBIA 2190.
  ; Reference to ^PSI(58.1 is supported by DBIA 2284.
@@ -12,6 +11,4 @@
  ; Reference to ^ORRDI1 is supported by DBIA 4659.
  ; Reference to ^XTMP("ORRDI" is supported by DBIA 4660.
- ; Reference to GETDATA^GMRAOR supported by DBIA 4847.
- ; Reference to ^TMP("GMRAOC" supported by DBIA 4848.
  ;
 START ;
@@ -28,13 +25,6 @@
 ENSET(X) ; expands the SPECIAL INSTRUCTIONS field contained in X into Y
  N X1,X2,Y S Y=""
- ;BHW;PSJ*5*185;Modified Logic below to NOT strip spaces and allow existing logic to flow.
- ;             ;Removed code I X2]"" Before Set of Y and created argumentless DO structure.
- F X1=1:1:$L(X," ") S X2=$P(X," ",X1) D
- . I X2']"" S Y=Y_" " Q  ;if multiple spaces in text and were $P'ing through text, X2 will="" so just add space and continue
- . S Y=Y_$S($L(X2)>30:X2,'$D(^PS(51,+$O(^PS(51,"B",X2,0)),0)):X2,$P(^(0),"^",2)]""&$P(^(0),"^",4):$P(^(0),"^",2),1:X2)_" "
- . Q
- ;BHW;Modified stripping of spaces at end of string
- F X1=$L(Y):-1:0 Q:$E(Y,X1,X1)'=" "  S Y=$E(Y,1,X1-1)
- Q Y
+ F X1=1:1:$L(X," ") S X2=$P(X," ",X1) I X2]"" S Y=Y_$S($L(X2)>30:X2,'$D(^PS(51,+$O(^PS(51,"B",X2,0)),0)):X2,$P(^(0),"^",2)]""&$P(^(0),"^",4):$P(^(0),"^",2),1:X2)_" "
+ S Y=$E(Y,1,$L(Y)-1) Q Y
  ;
 END ; used by DRUG (55.06,101 & 53.1,101) x-refs to warn user if patient is receiving or about to receive the drug just ordered
@@ -58,4 +48,5 @@
  I $T(HAVEHDR^ORRDI1)]"",$$HAVEHDR^ORRDI1,'$D(^XTMP("ORRDI","OUTAGE INFO","DOWN")) D
  . I $P($G(^XTMP("ORRDI","PSOO",PSGP,0)),"^",3)<0 W !,"Remote data not available - Only local order checks processed." D PAUSE^PSJLMUT1
+ K ^TMP($J,"DUPDRG")  ;DEM - Duplicate Drug Check Ehancement.
  I $D(^TMP($J,"DD")) D ORDCHK^PSJLMUT1(PSGP,"DD",4)
  I $D(^TMP($J,"DC")) D ORDCHK^PSJLMUT1(PSGP,"DC",6)
@@ -63,4 +54,5 @@
  I '$D(PSJFST) N PSJFST S PSJFST=0
  I $D(^TMP($J,"DI")) S INTERVEN=1 D ORDCHK^PSJLMUT1(PSGP,"DI",8)
+ D DUPDRG^PSJLMUT2(PSGP) K ^TMP($J,"DUPDRG")  ;DEM - Duplicate Drug Check Ehancement.
  ;*** Allergy/adverse reaction check.
  N PTR,X
@@ -75,10 +67,17 @@
  .W !!
  K PSJACK,GMRAING,I,^TMP($J)
- D ALGCLASS
+ D ALGCLASS^PSGSICH1
 CONT ; Ask user if they wish to continue in spite of an order check.
- Q:'$D(PSJPDRG)  N DIR S DIR(0)="Y",DIR("A")="Do you wish to continue entering this order",DIR("?",1)="Enter ""N"" if you wish to exit without creating a new order,"
- S DIR("?")="or ""Y"" to continue with the order entry process.",DIR("B")="NO" D ^DIR I 'Y S PSGORQF=1,X="^",COMQUIT=1 Q
+ ;Variable PSJDDCON is the order continuation flag for Duplicate Drug Check Enhancement.
+ I $D(PSJDDCON("DD")),'PSJDDCON("DD") Q
+ I '$D(PSJDDCON("DD")) Q:'$D(PSJPDRG)  N DIR D  I 'Y S PSGORQF=1,X="^",COMQUIT=1 K PSJDDCON Q
+ . S DIR(0)="Y",DIR("A")=$S($G(PSJDDCON("DI")):"Do you wish to continue with the current order",1:"Do you wish to continue entering this order")
+ . S DIR("?",1)="Enter ""N"" if you wish to exit without creating a new order,",DIR("?")="or ""Y"" to continue with the order entry process.",DIR("B")=$S($G(PSJDDCON("DI")):"YES",1:"NO")
+ . D ^DIR
+ . Q
+ ;
+ K PSJDDCON  ;Order continuation flag for Duplicate Drug Check Enhancement.
  I 'INTERVEN!($P(PSJSYSU,";")'=3) Q
- NEW PSJY
+ N PSJY
  W:PSJIREQ !!,"This is a CRITICAL interaction, you must enter an intervention log to continue"
  S DIR(0)="Y",DIR("A")="Do you wish to log an intervention",DIR("?",1)="Enter ""N"" if you do not wish to log an intervention,",DIR("?")="or ""Y"" to log an intervention." D ^DIR S PSJY=Y D:Y ^PSJRXI
@@ -89,7 +88,9 @@
  D ENCV^PSGSETU Q:$D(XQUIT)
  F  S DIC="^PSDRUG(",DIC(0)="AEIMOQZ",DIC("A")="Select DRUG: " W ! D ^DIC K DIC Q:+Y'>0  D SF
- D ENKV^PSGSETU K N5,ND,Q,Y Q
+ D ENKV^PSGSETU K N5,ND,Q,Y
+ Q
  ;
 SF ;
+ N PSGID
  S Y=+Y,ND=$G(^PSDRUG(Y,0)),PSGID=+$G(^("I")) I PSGID W !!,"THIS DRUG IS INACTIVE AS OF ",$E($$ENDTC^PSGMI(PSGID),1,8)
  W !!,$S($P(ND,"^",9):"NON-",1:""),"FORMULARY ITEM" W:$P(ND,"^",10)]"" !,$P(ND,"^",10)
@@ -116,46 +117,2 @@
  W ?10,$P(ND,U),!,?13,"Give: ",X," ",$$ENMRN^PSGMI(+$P(ND0,U,3))," ",$P(ND2,U),!!
  Q
-ALGCLASS ; checks any Drug allergies or reactions to see if
- ;         the new drug is the same class
- ; this call can be removed by commenting out the call on IVSOL+16
- N PSJLIST,CT,CLS,CLCHK,CNT,PSJL,LIST,DCCNT,PSCLASS,LEN
- S PSCLASS=$P($G(^PSDRUG(PSJDD,0)),"^",2),LEN=4 I $E(PSCLASS,1,4)="CN10" S LEN=5 ;look at 5 chars if ANALGESICS
- I $T(GETDATA^GMRAOR)]"" G ALGC2
- S GMRA="0^0^111" D EN1^GMRADPT
- F PSJLIST=0:0 S PSJLIST=$O(GMRAL(PSJLIST)) Q:'PSJLIST  D
- .K PSJAGL D EN1^GMRAOR2(PSJLIST,"PSJAGL")
- .; is the allergy/reaction drug class first four digits the same as the
- .; the class for the drug being entered?
- .S (CT,CLS)="",DCCNT=0
- .I $D(PSJAGL("V")) D
- ..F  S DCCNT=$O(PSJAGL("V",DCCNT)) Q:'DCCNT  S:$E($P($G(PSJAGL("V",DCCNT)),"^"),1,LEN)=$E(PSCLASS,1,LEN) (PSJPDRG,CLCHK)=1,CNT=$S('$D(CNT):1,1:CNT+1),LIST(CNT)=$P($G(PSJAGL),"^")_"^"_$P($G(PSJAGL("V",DCCNT)),"^",2)
- D:$G(CLCHK)
- .W !!,$C(7),"A Drug-Allergy Reaction exists for this medication and/or class!"
- .F PSJL=0:0 S PSJL=$O(LIST(PSJL)) Q:'PSJL  D
- ..W !?6,"Drug: "_$P(LIST(PSJL),"^"),!,"Drug Class: "_$P(LIST(PSJL),"^",2),!
- Q
-ALGC2 ;
- K GMRADRCL
- D GETDATA^GMRAOR(DFN) Q:'$D(^TMP("GMRAOC",$J,"APC"))
- N GMRACL,RET
- S RET=0,GMRACL="" F  S GMRACL=$O(^TMP("GMRAOC",$J,"APC",GMRACL)) Q:'$L(GMRACL)  D
- .N GMRANM,GMRALOC
- .S GMRALOC=^TMP("GMRAOC",$J,"APC",GMRACL)
- .S GMRANM=$P(^PS(50.605,+$O(^PS(50.605,"B",GMRACL,0)),0),U,2)
- .S GMRADRCL(GMRACL)=GMRACL_U_GMRANM_" ("_GMRALOC_")"
- .S RET=RET+1
- Q:'RET  K ^TMP("GMRAOC",$J)
- S CLCHK="",CT="" F  S CT=$O(GMRADRCL(CT)) Q:CT=""  D
- .I $E(PSCLASS,1,LEN)=$E(CT,1,LEN) S CLCHK=$G(CLCHK)+1,^TMP($J,"PSJDRCLS",CLCHK)=CT_" "_$P(GMRADRCL(CT),"^",2)
-CLASSDSP ;
- I '$D(^TMP($J,"PSJDRCLS")) Q
- W $C(7),!,"A Drug-Allergy Reaction exists for this medication and/or class!",!
- W !,"Drug: "_$P($G(^PSDRUG(PSJDD,0)),"^")
- S CT="" F  S CT=$O(^TMP($J,"PSJDRCLS",CT)) Q:CT=""  W !,"Drug Class: "_^TMP($J,"PSJDRCLS",CT)
- K ^TMP($J,"PSJDRCLS")
- S DIR("?",1)="Answer 'YES' if you DO want to enter a reaction for this medication,"
- S DIR("?")="       'NO' if you DON'T want to enter a reaction for this medication,"
- S DIR(0)="SA^1:YES;0:NO",DIR("A")="Do you want to Intervene? ",DIR("B")="Y" W ! D ^DIR
- I Y D ^PSJRXI
- I '$G(Y) K DIR,DTOUT,DIRUT,DIROUT,DUOUT,Y Q
- Q
Index: FOIAVistA/tag/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGXR3.m
===================================================================
--- FOIAVistA/trunk/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGXR3.m	(revision 631)
+++ FOIAVistA/tag/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGXR3.m	(revision 636)
@@ -1,3 +1,3 @@
-PSGXR3 ; DRIVER FOR COMPILED XREFS FOR FILE #53.1 ; 12/12/07
+PSGXR3 ; DRIVER FOR COMPILED XREFS FOR FILE #53.1 ; 01/17/08
  ; 
  N DH,DU,DIKILL,DISET,DIKJ,DIKZ,DIKYR,DIKZA,DIK0Z,DIKZK,DIKDP,DIKM1,DIKUP,DIKUM,DV,DIIX,DIKF,DIAU,DIKNM,DIKDA,DIKLK,DIKLM,DIKY,DIXR,DIKCOND,DIKSVDA,DIKPUSH,X1,X2
Index: FOIAVistA/tag/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGXR31.m
===================================================================
--- FOIAVistA/trunk/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGXR31.m	(revision 631)
+++ FOIAVistA/tag/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGXR31.m	(revision 636)
@@ -1,3 +1,3 @@
-PSGXR31 ; COMPILED XREF FOR FILE #53.1 ; 12/12/07
+PSGXR31 ; COMPILED XREF FOR FILE #53.1 ; 01/17/08
  ; 
  S DIKZK=2
@@ -32,5 +32,5 @@
  S X=$P(DIKZ(0),U,1)
  I X'="" K ^PS(53.1,"B",$E(X,1,30),DA)
-CR1 S DIXR=502
+CR1 S DIXR=498
  K X
  S DIKZ("DSS")=$G(^PS(53.1,DA,"DSS"))
Index: FOIAVistA/tag/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGXR310.m
===================================================================
--- FOIAVistA/trunk/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGXR310.m	(revision 631)
+++ FOIAVistA/tag/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGXR310.m	(revision 636)
@@ -1,3 +1,3 @@
-PSGXR310 ; COMPILED XREF FOR FILE #53.1114 ; 12/12/07
+PSGXR310 ; COMPILED XREF FOR FILE #53.1114 ; 01/17/08
  ; 
  S DA=0
Index: FOIAVistA/tag/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGXR311.m
===================================================================
--- FOIAVistA/trunk/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGXR311.m	(revision 631)
+++ FOIAVistA/tag/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGXR311.m	(revision 636)
@@ -1,3 +1,3 @@
-PSGXR311 ; COMPILED XREF FOR FILE #53.157 ; 12/12/07
+PSGXR311 ; COMPILED XREF FOR FILE #53.157 ; 01/17/08
  ; 
  S DA=0
Index: FOIAVistA/tag/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGXR312.m
===================================================================
--- FOIAVistA/trunk/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGXR312.m	(revision 631)
+++ FOIAVistA/tag/r/INPATIENT_MEDICATIONS-PSJ-PSIV-PSG--PSGW/PSGXR312.m	(revision 636)
@@ -1,3 +1,3 @@
-PSGXR312 ; COMPILED XREF FOR FILE #53.158 ; 12/12/07
+PSGXR312 ; COMPILED XREF FOR FILE #53.158 ; 01/17/08
  ; 
  S DA=0
